﻿using DemoProb.Classes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using DemoProb.Pages;
using DemoProb.WindowW;

namespace DemoProb
{
    /// <summary>
    /// Логика взаимодействия для MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Classes.FrameMain.Frame = FrameWindow;
            BaseClass.BaseSchool = new BaseSchool();
            //BackNavigation.Background = new SolidColorBrush(Color.FromRgb(4, 160, 255));
            FrameWindow.Navigate(new MainPage());
            Application.Current.Properties["admin"] = false;
        }

        private void SignIn_Click(object sender, RoutedEventArgs e)
        {
            if (Password.Password == "0000")
            {
                MessageBox.Show("Режим администратора активирован", "Уведомление", MessageBoxButton.OK, MessageBoxImage.Information);
                Application.Current.Properties["admin"] = true;
                Recorder.Visibility = Visibility.Visible;
                FrameWindow.Navigate(new MainPage());
            }
            else
            {
                MessageBox.Show("Неверный пароль", "Уведомление", MessageBoxButton.OK, MessageBoxImage.Error);
                Application.Current.Properties["admin"] = false;
                Recorder.Visibility = Visibility.Collapsed;
                FrameWindow.Navigate(new MainPage());
            }
        }

        private void Recorder_Click(object sender, RoutedEventArgs e)
        {
            UpcomingEntries wind = new UpcomingEntries();
            wind.Show();
        }

        private void BackNavigation_Click(object sender, RoutedEventArgs e)
        {
            if (FrameWindow.NavigationService.CanGoBack)
                FrameWindow.GoBack();
        }
    }
}
